"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCookies = void 0;
/**
 * Parse cookies from string
 * @param input Input string
 * @returns Object of cookies
 */
function parseCookies(input) {
    const output = {};
    const cookies = input.split(",");
    for (const cookie of cookies) {
        const cookieSplit = cookie.split(";")[0].split("=");
        output[decodeURIComponent(cookieSplit[0]).trimStart()] = decodeURIComponent(cookieSplit[1]);
    }
    return output;
}
exports.parseCookies = parseCookies;
